import settings from '../../settings'
import DashboardRouterV1 from './DashboardRouterV1'
import DashboardRouterV2 from './DashboardRouterV2';
import DashboardRouterV3 from './DashboardRouterV3';

export default {
  getDashboardRouter() {
    switch (settings.dashboardVersion) {
      case 1:
        return DashboardRouterV1;
      case 2:
        return DashboardRouterV2;
      case 3:
        return DashboardRouterV3;
      default:
        return DashboardRouterV1;
    }
  }
}